
<script setup>
import SourceLinks from '../components/SourceLinks.vue'
</script>

<template>
  <main>
    <div class="item">
      <SourceLinks />
    </div>
    <div class="item">
      <div class="details">
        <h3>
          <slot name="heading">Deployment</slot>
        </h3>
        <slot>
          This app deployed via <a href="https://gitlab.com/skm-pub/website/spa/-/pipelines" target="_blank" rel="noopener">Gitlab CI</a>
        </slot>
      </div>
    </div>
  </main>
</template>

<style scoped>
  h3 {
    font-weight: 300;
    padding: 3vh 0;
  }

  .item:nth-child(n + 2) {
    border-top: 1px dashed;
    padding-top: 3vh;
    margin-top: 2vh;
  }

  .item:before, .item:after {
    display: none;
  }

  @media (min-width: 390px) {
    .item:nth-child(n + 1) {
      margin-bottom: 3vh;
    }
  }

  @media (min-width: 1024px) {
    .item {
      padding-left: 0;
    }
    .item:nth-child(n + 1) {
      margin-bottom: 0;
    }
  }
</style>